------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]海盗主线1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>271
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(50, 47)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
local hero = CppScriptMgr:QueryHero()
hero:SetPos(50, 47)
hero:SetDir(4)
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
--艾莎公主
CppScriptMgr:AddEffect("accession1", 42,47)
local player1  = CppScriptMgr:AddSimplePlayer(21680, 42,47, "[SeaPrincess]\n   Eisha")
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);

-- 喊话
player1:Say("Wake up! The ocean will protect you!", 2000)
CppScriptMgr:NpcCallOut("Wake up! The ocean will protect you!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc911", 150, 430,"Princess Eisha", 250, 655)
CppScriptMgr:WaitMilSec(1000)
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);
hero:SetAction(271);

CppScriptMgr:AddEffect("QiFuLev3", 42,47)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("zhuzi1", 42,47)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("QL_YiShan", 42,47)
CppScriptMgr:WaitMilSec(1000)



player1:Say("Finally!", 2000)
CppScriptMgr:NpcCallOut("Finally!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc911", 150, 430, "Princess Eisha", 250, 655)
CppScriptMgr:WaitMilSec(1000)

player1:Say("Your ship was wrecked on the hidden reef! You would be dead without me!", 2000)
CppScriptMgr:NpcCallOut("Your ship was wrecked on the hidden reef! You would be dead without me!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc911", 150, 430, "Eisha", 250, 655)
CppScriptMgr:WaitMilSec(1000)


hero:Say("Thank you so much! Wow! I can breathe under the sea!", 2000)
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("Thank you so much! Wow! I can breathe under the sea!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateBoy", 150, 430, hero:GetName(), 250, 655)
else
	CppScriptMgr:NpcCallOut("Thank you so much! Wow! I can breathe under the sea!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcPirateGirl", 150, 430, hero:GetName(), 250, 655)
end
CppScriptMgr:WaitMilSec(1000)

player1:Say("My magic is great, isn`t it?", 2000)
CppScriptMgr:NpcCallOut("My magic is great, isn`t it?", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc911", 150, 430, "Princess Eisha", 250, 655)
CppScriptMgr:WaitMilSec(1000)
-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
